<template>
    <div
        class="growth_new__left left"
        :style="[{background: 'url(https://cartistorage.s3.us-east-2.amazonaws.com/growth-images/left-picture.svg) no-repeat'}, {'background-size': 'cover'}]"
    >
        <div
            v-if="countActiveItems > 2"
            class="left_star__first"
        >
            <span
                class="left_star__percent"
                :style="{color: offersDone > countActiveItems - 3 ? offers[getOfferIndex(1)].offer_text_color : '#fff'}"
            >{{ offers[getOfferIndex(1)].automatic_discount_value }}%</span>
            <svg
                width="63"
                height="63"
                viewBox="0 0 63 63"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
            >
                <path
                    d="M27.1001 1.89739C29.7699 0.139281 33.2301 0.139282 35.8999 1.8974L36.6841 2.41381C38.1242 3.36217 39.8322 3.81983 41.5536 3.71859L42.4909 3.66347C45.6821 3.47579 48.6786 5.20585 50.1117 8.06332L50.5326 8.90264C51.3056 10.444 52.556 11.6944 54.0974 12.4674L54.9367 12.8883C57.7942 14.3214 59.5242 17.3179 59.3365 20.5091L59.2814 21.4464C59.1802 23.1678 59.6378 24.8758 60.5862 26.316L61.1026 27.1002C62.8607 29.7699 62.8607 33.2301 61.1026 35.8998L60.5862 36.6841C59.6378 38.1242 59.1802 39.8322 59.2814 41.5536L59.3365 42.4909C59.5242 45.6821 57.7941 48.6786 54.9367 50.1117L54.0974 50.5326C52.556 51.3056 51.3056 52.556 50.5326 54.0974L50.1117 54.9367C48.6786 57.7941 45.6821 59.5242 42.4909 59.3365L41.5536 59.2814C39.8322 59.1802 38.1242 59.6378 36.6841 60.5862L35.8998 61.1026C33.2301 62.8607 29.7699 62.8607 27.1001 61.1026L26.3159 60.5862C24.8758 59.6378 23.1678 59.1802 21.4464 59.2814L20.5091 59.3365C17.3179 59.5242 14.3214 57.7942 12.8883 54.9367L12.4674 54.0974C11.6944 52.556 10.444 51.3056 8.90264 50.5326L8.06332 50.1117C5.20585 48.6786 3.47579 45.6821 3.66347 42.4909L3.71859 41.5536C3.81983 39.8322 3.36217 38.1242 2.41381 36.6841L1.89739 35.8999C0.139281 33.2301 0.139282 29.7699 1.8974 27.1001L2.41381 26.3159C3.36217 24.8758 3.81983 23.1678 3.71859 21.4464L3.66347 20.5091C3.47579 17.3179 5.20585 14.3214 8.06332 12.8883L8.90264 12.4674C10.444 11.6944 11.6944 10.444 12.4674 8.90264L12.8883 8.06332C14.3214 5.20585 17.3179 3.47579 20.5091 3.66347L21.4464 3.71859C23.1678 3.81983 24.8758 3.36217 26.316 2.41381L27.1001 1.89739Z"
                    :fill=" offersDone > 0 ? offers[getOfferIndex(1)].offer_background_color : '#98A0A6'"
                />
            </svg>
        </div>
        <div
            v-if="countActiveItems > 0"
            class="left_star__third"
        >
            <span
                class="left_star__percent"
                :style="{color: offersDone > countActiveItems - 1 ? offers[getOfferIndex(3)].offer_text_color : '#fff'}"
            >{{ offers[getOfferIndex(3)].automatic_discount_value }}%</span>
            <svg
                width="90"
                height="90"
                viewBox="0 0 90 90"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
            >
                <path
                    d="M40.6001 1.8974C43.2699 0.139281 46.7301 0.139282 49.3999 1.8974L53.2588 4.43861C54.699 5.38697 56.407 5.84463 58.1283 5.74339L62.7409 5.47212C65.9321 5.28445 68.9286 7.01451 70.3617 9.87198L72.433 14.0022C73.2061 15.5436 74.4564 16.7939 75.9978 17.567L80.128 19.6383C82.9855 21.0714 84.7156 24.0679 84.5279 27.2591L84.2566 31.8717C84.1554 33.593 84.613 35.301 85.5614 36.7412L88.1026 40.6001C89.8607 43.2699 89.8607 46.7301 88.1026 49.3999L85.5614 53.2588C84.613 54.699 84.1554 56.407 84.2566 58.1283L84.5279 62.7409C84.7156 65.9321 82.9855 68.9286 80.128 70.3617L75.9978 72.433C74.4564 73.2061 73.2061 74.4564 72.433 75.9978L70.3617 80.128C68.9286 82.9855 65.9321 84.7156 62.7409 84.5279L58.1283 84.2566C56.407 84.1554 54.699 84.613 53.2588 85.5614L49.3999 88.1026C46.7301 89.8607 43.2699 89.8607 40.6001 88.1026L36.7412 85.5614C35.301 84.613 33.593 84.1554 31.8717 84.2566L27.2591 84.5279C24.0679 84.7156 21.0714 82.9855 19.6383 80.128L17.567 75.9978C16.7939 74.4564 15.5436 73.2061 14.0022 72.433L9.87198 70.3617C7.01451 68.9286 5.28445 65.9321 5.47212 62.7409L5.74339 58.1283C5.84463 56.407 5.38697 54.699 4.43861 53.2588L1.8974 49.3999C0.139281 46.7301 0.139282 43.2699 1.8974 40.6001L4.43861 36.7412C5.38697 35.301 5.84463 33.593 5.74339 31.8717L5.47212 27.2591C5.28445 24.0679 7.01451 21.0714 9.87197 19.6383L14.0022 17.567C15.5436 16.7939 16.7939 15.5436 17.567 14.0022L19.6383 9.87197C21.0714 7.01451 24.0679 5.28445 27.2591 5.47212L31.8717 5.74339C33.593 5.84463 35.301 5.38697 36.7412 4.43861L40.6001 1.8974Z"
                    :fill="offersDone > countActiveItems - 1 ? offers[getOfferIndex(3)].offer_background_color : '#98A0A6'"
                />
            </svg>
        </div>
        <div
            v-if="countActiveItems > 1"
            class="left_star__second"
        >
            >
            <span
                class="left_star__percent"
                :style="{color: offersDone > countActiveItems - 2 ? offers[getOfferIndex(2)].offer_text_color : '#fff'}"
            >{{ offers[getOfferIndex(2)].automatic_discount_value }}%</span>
            <svg
                width="72"
                height="72"
                viewBox="0 0 72 72"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
            >
                <path
                    d="M31.6002 1.8974C34.2699 0.139281 37.7301 0.139282 40.3999 1.8974L42.209 3.08874C43.6491 4.0371 45.3571 4.49476 47.0785 4.39353L49.2409 4.26635C52.4321 4.07868 55.4286 5.80874 56.8617 8.6662L57.8328 10.6025C58.6058 12.1439 59.8561 13.3942 61.3975 14.1672L63.3338 15.1383C66.1913 16.5714 67.9213 19.5679 67.7337 22.7591L67.6065 24.9215C67.5052 26.6429 67.9629 28.3509 68.9113 29.791L70.1026 31.6001C71.8607 34.2699 71.8607 37.7301 70.1026 40.3999L68.9113 42.209C67.9629 43.6491 67.5052 45.3571 67.6065 47.0785L67.7337 49.2409C67.9213 52.4321 66.1913 55.4286 63.3338 56.8617L61.3975 57.8328C59.8561 58.6058 58.6058 59.8561 57.8328 61.3975L56.8617 63.3338C55.4286 66.1913 52.4321 67.9213 49.2409 67.7337L47.0785 67.6065C45.3571 67.5052 43.6491 67.9629 42.209 68.9113L40.3999 70.1026C37.7301 71.8607 34.2699 71.8607 31.6001 70.1026L29.791 68.9113C28.3509 67.9629 26.6429 67.5052 24.9215 67.6065L22.7591 67.7337C19.5679 67.9213 16.5714 66.1913 15.1383 63.3338L14.1672 61.3975C13.3942 59.8561 12.1439 58.6058 10.6025 57.8328L8.66621 56.8617C5.80874 55.4286 4.07868 52.4321 4.26635 49.2409L4.39353 47.0785C4.49476 45.3571 4.0371 43.6491 3.08874 42.209L1.8974 40.3998C0.139281 37.7301 0.139282 34.2699 1.8974 31.6001L3.08874 29.791C4.0371 28.3509 4.49476 26.6429 4.39353 24.9215L4.26635 22.7591C4.07868 19.5679 5.80874 16.5714 8.6662 15.1383L10.6025 14.1672C12.1439 13.3942 13.3942 12.1439 14.1672 10.6025L15.1383 8.66621C16.5714 5.80874 19.5679 4.07868 22.7591 4.26635L24.9215 4.39353C26.6429 4.49476 28.3509 4.0371 29.791 3.08874L31.6002 1.8974Z"
                    :fill="offersDone > countActiveItems - 2 ? offers[getOfferIndex(2)].offer_background_color : '#98A0A6'"
                />
            </svg>
        </div>
    </div>
</template>


<script>
  export default {
    props: ['popup', 'preview',],
    computed: {
      offers() {
        return this.popup.growth_offers
      },
      offersDone() {
        let count = 0
        this.preview.forEach(el => {
          if(el.active) count +=1
        })
        return count
      },
      countActiveItems() {
        let count = 0
        this.offers.forEach(el => {
          if(el.status) count += 1
        })
        return count
      }
    },
    methods: {
      getOfferIndex(count) {
        switch(count) {
          case 1: {
            return 0
          }
          case 2: {
            if(this.countActiveItems == 3) return 1
            return 0          
          }
          case 3: {
            if(this.countActiveItems == 3) return 2
            if(this.countActiveItems == 2) return 1
            return 0
          }
        }
      }
    }
  }
</script>